/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.vacations;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.client.ApplicationClient;
import org.cocktail.mangue.client.gui.promotions.PromouvabilitesView;
import org.cocktail.mangue.common.modele.interfaces.INomenclature;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.common.utilities.ManGUEIcones;
import org.cocktail.mangue.modele.grhum.referentiel.EOIndividu;
import org.cocktail.mangue.modele.grhum.referentiel.EOStructure;
import org.cocktail.mangue.modele.mangue.individu.EOVacataires;
import org.cocktail.mangue.modele.mangue.individu.EOVacatairesAffectation;

import com.webobjects.eoapplication.EOApplication;
import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class VacationsView extends JFrame {

	protected EODisplayGroup eod, eodAff;
	protected ZEOTable myEOTable, myEOTableAff;
	protected ZEOTableModel myTableModel, myTableModelAff;
	protected TableSorter myTableSorter, myTableSorterAff;

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public VacationsView(java.awt.Frame parent, boolean modal, EODisplayGroup dg, EODisplayGroup eodAff) {
       // super(parent, modal);
    	eod = dg;
    	this.eodAff = eodAff;
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnAjouter = new javax.swing.JButton();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        tfFiltreNom = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tfFiltrePeriodeDebut = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfFiltreService = new javax.swing.JTextField();
        btnGetService = new javax.swing.JButton();
        tfTitreDetailContrat1 = new javax.swing.JTextField();
        viewTableAffectation = new javax.swing.JPanel();
        btnAjouterAffectation = new javax.swing.JButton();
        btnModifierAffectation = new javax.swing.JButton();
        btnSupprimerAffectation = new javax.swing.JButton();
        tfTitreDetailContrat2 = new javax.swing.JTextField();
        btnImprimer = new javax.swing.JButton();
        btnDelService = new javax.swing.JButton();
        btnRechercher = new javax.swing.JButton();
        tfFiltrePeriodeFin = new javax.swing.JTextField();
        btnExporter = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        popupEnseignant = new javax.swing.JComboBox();
        jLabel5 = new javax.swing.JLabel();
        popupTitulaire = new javax.swing.JComboBox();
        btnDupliquer = new javax.swing.JButton();
        btnEtatCivil = new javax.swing.JButton();
        btnAdresses = new javax.swing.JButton();
        btnTelephone = new javax.swing.JButton();
        btnBudget = new javax.swing.JButton();
        viewTable = new javax.swing.JPanel();
        lblNbVacations = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("GESTION DES VACATIONS");

        btnAjouter.setToolTipText("Ajout d'une vacation");
        btnAjouter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAjouterActionPerformed(evt);
            }
        });

        btnModifier.setToolTipText("Modifier la vacation");

        btnSupprimer.setToolTipText("Supprimer la vacation");

        tfFiltreNom.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Nom ?");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Période ?");

        tfFiltrePeriodeDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Structure ?");

        tfFiltreService.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        btnGetService.setToolTipText("Filtre sur le service d'affectation");

        tfTitreDetailContrat1.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailContrat1.setEditable(false);
        tfTitreDetailContrat1.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDetailContrat1.setText("Affectations");
        tfTitreDetailContrat1.setAutoscrolls(false);
        tfTitreDetailContrat1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        tfTitreDetailContrat1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreDetailContrat1ActionPerformed(evt);
            }
        });

        viewTableAffectation.setLayout(new java.awt.BorderLayout());

        tfTitreDetailContrat2.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailContrat2.setEditable(false);
        tfTitreDetailContrat2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDetailContrat2.setText("Vacations");
        tfTitreDetailContrat2.setAutoscrolls(false);
        tfTitreDetailContrat2.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        tfTitreDetailContrat2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreDetailContrat2ActionPerformed(evt);
            }
        });

        btnImprimer.setToolTipText("Edition d'un arrêté");
        btnImprimer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnImprimerActionPerformed(evt);
            }
        });

        btnDelService.setToolTipText("Filtre sur le service d'affectation");

        btnRechercher.setText("Rechercher");
        btnRechercher.setToolTipText("Rechercher les vacations ");

        tfFiltrePeriodeFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        btnExporter.setText("Exporter");
        btnExporter.setToolTipText("Exporter les données affichées");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Ens ?");

        popupEnseignant.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Tit ?");

        popupTitulaire.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        btnDupliquer.setToolTipText("Dupliquer");
        btnDupliquer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDupliquerActionPerformed(evt);
            }
        });

        btnEtatCivil.setText("Etat Civil");
        btnEtatCivil.setToolTipText("");

        btnAdresses.setText("Adresses");
        btnAdresses.setToolTipText("");

        btnTelephone.setText("Telephones");
        btnTelephone.setToolTipText("");

        btnBudget.setText("Budget");
        btnBudget.setToolTipText("");

        viewTable.setLayout(new java.awt.BorderLayout());

        lblNbVacations.setFont(new java.awt.Font("Tahoma", 0, 14));
        lblNbVacations.setForeground(new java.awt.Color(51, 51, 255));
        lblNbVacations.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblNbVacations.setText("jLabel6");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 898, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(layout.createSequentialGroup()
                                .add(tfFiltreService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 275, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(12, 12, 12)
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltrePeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltrePeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 119, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(33, 33, 33)
                                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupEnseignant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupTitulaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 10, Short.MAX_VALUE)
                                .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 142, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(viewTableAffectation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 898, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(tfTitreDetailContrat2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDupliquer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnEtatCivil, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 123, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnAdresses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnTelephone, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 119, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(lblNbVacations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 192, Short.MAX_VALUE))
                            .add(tfTitreDetailContrat1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 811, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouterAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                    .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(jLabel2)
                    .add(tfFiltrePeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfFiltrePeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(popupEnseignant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(popupTitulaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel3)
                        .add(tfFiltreService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(btnGetService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnDelService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDupliquer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTitreDetailContrat2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 365, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnEtatCivil, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAdresses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnTelephone, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(lblNbVacations))
                .add(12, 12, 12)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnAjouterAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnModifierAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnSupprimerAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(tfTitreDetailContrat1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-934)/2, (screenSize.height-672)/2, 934, 672);
    }// </editor-fold>//GEN-END:initComponents

    private void tfTitreDetailContrat1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreDetailContrat1ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_tfTitreDetailContrat1ActionPerformed

    private void tfTitreDetailContrat2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreDetailContrat2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfTitreDetailContrat2ActionPerformed

    private void btnAjouterActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAjouterActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnAjouterActionPerformed

    private void btnImprimerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnImprimerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnImprimerActionPerformed

    private void btnDupliquerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDupliquerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDupliquerActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                PromouvabilitesView dialog = new PromouvabilitesView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAdresses;
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAjouterAffectation;
    private javax.swing.JButton btnBudget;
    private javax.swing.JButton btnDelService;
    private javax.swing.JButton btnDupliquer;
    private javax.swing.JButton btnEtatCivil;
    private javax.swing.JButton btnExporter;
    private javax.swing.JButton btnGetService;
    private javax.swing.JButton btnImprimer;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnModifierAffectation;
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnSupprimerAffectation;
    private javax.swing.JButton btnTelephone;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel lblNbVacations;
    private javax.swing.JComboBox popupEnseignant;
    private javax.swing.JComboBox popupTitulaire;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JTextField tfFiltrePeriodeDebut;
    private javax.swing.JTextField tfFiltrePeriodeFin;
    private javax.swing.JTextField tfFiltreService;
    private javax.swing.JTextField tfTitreDetailContrat1;
    private javax.swing.JTextField tfTitreDetailContrat2;
    private javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewTableAffectation;
    // End of variables declaration//GEN-END:variables

    private void initGui() {
    	
    	setTitle("GESTION DES VACATIONS - " + ((ApplicationClient)EOApplication.sharedApplication()).infosPourApplication());                
    	
    	btnBudget.setIcon(CocktailIcones.ICON_EURO);
    	btnTelephone.setIcon(ManGUEIcones.ICON_TELEPHONE);
    	btnAdresses.setIcon(ManGUEIcones.ICON_ADRESSE);
    	btnEtatCivil.setIcon(CocktailIcones.ICON_INDIVIDU);

    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetService.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnDelService.setIcon(CocktailIcones.ICON_DELETE);
    	btnImprimer.setIcon(CocktailIcones.ICON_PRINTER_16);
    	btnRechercher.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnDupliquer.setIcon(CocktailIcones.ICON_RENOUVELER);

    	btnExporter.setIcon(CocktailIcones.ICON_EXCEL_16);

    	btnAjouterAffectation.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierAffectation.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerAffectation.setIcon(CocktailIcones.ICON_DELETE);

    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOVacataires.TO_INDIVIDU_IDENTITE_KEY+"."+EOIndividu.NOM_USUEL_KEY, "Nom", 120);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TO_INDIVIDU_IDENTITE_KEY+"."+EOIndividu.PRENOM_KEY, "Prénom", 70);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.DATE_DEBUT_KEY, "Début", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.DATE_FIN_KEY, "Fin", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.NBR_HEURES_KEY, "H Prev.", 50);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.NBR_HEURES_REALISEES_KEY, "H Réal.", 50);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_ENSEIGNANT_KEY, "Ens.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_TITULAIRE_KEY, "Tit.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_PERS_ETAB_KEY, "Etab.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_SIGNE_KEY, "Signé", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TO_CNU_KEY+"." + INomenclature.CODE_KEY, "CNU", 30);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    	myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodAff, EOVacatairesAffectation.TO_STRUCTURE_KEY+"."+EOStructure.LL_STRUCTURE_KEY, "Structure", 350);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodAff, EOVacatairesAffectation.NBR_HEURES_KEY, "Heures", 70);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodAff, EOVacatairesAffectation.TEM_PRINCIPALE_KEY, "PRINC.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);

    	myTableModelAff = new ZEOTableModel(eodAff, myCols);
		myTableSorterAff = new TableSorter(myTableModelAff);

		myEOTableAff = new ZEOTable(myTableSorterAff);
		myTableSorterAff.setTableHeader(myEOTableAff.getTableHeader());		

		myEOTableAff.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableAff.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableAff.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableAffectation.setLayout(new BorderLayout());
		viewTableAffectation.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableAffectation.removeAll();
		viewTableAffectation.add(new JScrollPane(myEOTableAff), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTable getMyEOTableAff() {
		return myEOTableAff;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public void setMyEOTableAff(ZEOTable myEOTableAff) {
		this.myEOTableAff = myEOTableAff;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAjouterAffectation() {
		return btnAjouterAffectation;
	}

	public void setBtnAjouterAffectation(javax.swing.JButton btnAjouterAffectation) {
		this.btnAjouterAffectation = btnAjouterAffectation;
	}

	public javax.swing.JButton getBtnGetService() {
		return btnGetService;
	}

	public void setBtnGetService(javax.swing.JButton btnGetService) {
		this.btnGetService = btnGetService;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnModifierAffectation() {
		return btnModifierAffectation;
	}

	public void setBtnModifierAffectation(javax.swing.JButton btnModifierAffectation) {
		this.btnModifierAffectation = btnModifierAffectation;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnSupprimerAffectation() {
		return btnSupprimerAffectation;
	}

	public void setBtnSupprimerAffectation(
			javax.swing.JButton btnSupprimerAffectation) {
		this.btnSupprimerAffectation = btnSupprimerAffectation;
	}



	public javax.swing.JTextField getTfFiltrePeriodeDebut() {
		return tfFiltrePeriodeDebut;
	}

	public void setTfFiltrePeriodeDebut(javax.swing.JTextField tfFiltrePeriodeDebut) {
		this.tfFiltrePeriodeDebut = tfFiltrePeriodeDebut;
	}

	public javax.swing.JTextField getTfFiltrePeriodeFin() {
		return tfFiltrePeriodeFin;
	}

	public void setTfFiltrePeriodeFin(javax.swing.JTextField tfFiltrePeriodeFin) {
		this.tfFiltrePeriodeFin = tfFiltrePeriodeFin;
	}

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public javax.swing.JTextField getTfFiltreService() {
		return tfFiltreService;
	}

	public void setTfFiltreService(javax.swing.JTextField tfFiltreService) {
		this.tfFiltreService = tfFiltreService;
	}

	public javax.swing.JTextField getTfTitreDetailContrat1() {
		return tfTitreDetailContrat1;
	}

	public void setTfTitreDetailContrat1(
			javax.swing.JTextField tfTitreDetailContrat1) {
		this.tfTitreDetailContrat1 = tfTitreDetailContrat1;
	}

	public javax.swing.JTextField getTfTitreDetailContrat2() {
		return tfTitreDetailContrat2;
	}

	public void setTfTitreDetailContrat2(
			javax.swing.JTextField tfTitreDetailContrat2) {
		this.tfTitreDetailContrat2 = tfTitreDetailContrat2;
	}

	public javax.swing.JButton getBtnDelService() {
		return btnDelService;
	}

	public void setBtnDelService(javax.swing.JButton btnDelService) {
		this.btnDelService = btnDelService;
	}

	public javax.swing.JButton getBtnImprimer() {
		return btnImprimer;
	}

	public void setBtnImprimer(javax.swing.JButton btnImprimer) {
		this.btnImprimer = btnImprimer;
	}

	public javax.swing.JLabel getLblNbVacations() {
		return lblNbVacations;
	}

	public void setLblNbVacations(javax.swing.JLabel lblNbVacations) {
		this.lblNbVacations = lblNbVacations;
	}

	public javax.swing.JButton getBtnExporter() {
		return btnExporter;
	}

	public void setBtnExporter(javax.swing.JButton btnExporter) {
		this.btnExporter = btnExporter;
	}

	public javax.swing.JComboBox getPopupEnseignant() {
		return popupEnseignant;
	}

	public void setPopupEnseignant(javax.swing.JComboBox popupEnseignant) {
		this.popupEnseignant = popupEnseignant;
	}

	public javax.swing.JComboBox getPopupTitulaire() {
		return popupTitulaire;
	}

	public void setPopupTitulaire(javax.swing.JComboBox popupTitulaire) {
		this.popupTitulaire = popupTitulaire;
	}

	public javax.swing.JButton getBtnDupliquer() {
		return btnDupliquer;
	}

	public void setBtnDupliquer(javax.swing.JButton btnDupliquer) {
		this.btnDupliquer = btnDupliquer;
	}

	public javax.swing.JButton getBtnEtatCivil() {
		return btnEtatCivil;
	}

	public void setBtnEtatCivil(javax.swing.JButton btnEtatCivil) {
		this.btnEtatCivil = btnEtatCivil;
	}

	public javax.swing.JButton getBtnAdresses() {
		return btnAdresses;
	}

	public void setBtnAdresses(javax.swing.JButton btnAdresses) {
		this.btnAdresses = btnAdresses;
	}

	public javax.swing.JButton getBtnTelephone() {
		return btnTelephone;
	}

	public void setBtnTelephone(javax.swing.JButton btnTelephone) {
		this.btnTelephone = btnTelephone;
	}

	public javax.swing.JButton getBtnBudget() {
		return btnBudget;
	}

	public void setBtnBudget(javax.swing.JButton btnBudget) {
		this.btnBudget = btnBudget;
	}



}